# class Puppet::Indirector::FileContent::Selector

### Public Instance Methods

authorized?(request) click to toggle source

    # File lib/puppet/indirector/file_content/selector.rb, line 22
    def authorized?(request)
      terminus = get_terminus(request)
      if terminus.respond_to?(:authorized?)
        terminus.authorized?(request)
      else
        true
      end
    end

find(request) click to toggle source

    # File lib/puppet/indirector/file_content/selector.rb, line 14
    def find(request)
      get_terminus(request).find(request)
    end

get_terminus(request) click to toggle source

    # File lib/puppet/indirector/file_content/selector.rb, line 10
    def get_terminus(request)
      indirection.terminus(select(request))
    end

search(request) click to toggle source

    # File lib/puppet/indirector/file_content/selector.rb, line 18
    def search(request)
      get_terminus(request).search(request)
    end